import cdsapi

c = cdsapi.Client()

# Does not work
try:
    c.retrieve( 'reanalysis-era5-single-levels',
               {
                   'product_type': 'reanalysis',
                   'param': ['027.128', '028.128'],
                   'year': '1996',
                   'month': '01',
                   'day': '01',
                   'time': '00:00',
                   'format': 'grib',
               },
               'ids_download_1996.grib')
except:
    pass

# Does work
try:
    c.retrieve(
        'reanalysis-era5-single-levels',
        {
            'product_type': 'reanalysis',
            'param': ['cvl', 'cvh'],
            'year': '1996',
            'month': '01',
            'day': '01',
            'time': '00:00',
            'format': 'grib',
        },
        'names_download_1996.grib')
except:
    pass

# Does work for the year 2000 for example
try:
    c.retrieve( 'reanalysis-era5-single-levels',
               {
                   'product_type': 'reanalysis',
                   'param': ['027.128', '028.128'],
                   'year': '2000',
                   'month': '01',
                   'day': '01',
                   'time': '00:00',
                   'format': 'grib',
               },
               'ids_download_2000.grib')
except:
    pass
